classification
Title: Tiny inconsistency in the orthography of "url encoded" in the doc of urllib.parse
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: MLModel, ajaksu2, eric.araujo, georg.brandl, orsenthil
Priority: low Keywords: easy

Created on 2009-09-27 17:08 by MLModel, last changed 2010-08-09 20:18 by orsenthil. This issue is now closed.

Messages (5)
msg93179 - (view) Author: Mitchell Model (MLModel) Date: 2009-09-27 17:08
The documentation of urllib.parse contains:
    URL encoded
    a “url-encoded” string
I am not sure what the official usage is, either in Python or more 
generally. Actually, in formal W3C documents the term used is percent-
encoding (with the hyphen, even when used as a noun). I don't expect 
anyone to use "percent-encoding" but maybe, especially as an adjective, 
the phrase in Python documentation should consistently be "url-encoded"?
msg102654 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2010-04-09 00:01
Hits from py3k:

Doc/library/urllib.rst:239:   Convert a mapping object or a sequence of two-element tuples  to a "url-encoded"

Doc/library/urllib.rst:263:   Convert the path component *path* from an encoded URL to the local syntax for a

Doc/library/urlparse.rst:112:   values in URL encoded queries should be treated as blank strings.   A true value

Doc/library/urlparse.rst:135:   values in URL encoded queries should be treated as blank strings.   A true value

Doc/library/logging.rst:2347:      Sends the record to the Web server as an URL-encoded dictionary.

Lib/logging/handlers.py:1021:        Send the record to the Web server as an URL-encoded dictionary

Lib/cgi.py:135:            URL encoded forms should be treated as blank strings.

Lib/cgi.py:414:            URL encoded forms should be treated as blank strings.

Lib/urlparse.py:297:        qs: URL-encoded query string to be parsed

Lib/urlparse.py:300:            URL encoded queries should be treated as blank strings.

Lib/urlparse.py:323:    qs: URL-encoded query string to be parsed

Lib/urlparse.py:326:        URL encoded queries should be treated as blank strings.  A
msg102739 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-04-09 18:35
What is referred to as URL-encoded or URL encoded is technically 'percent-encoding'. Consistency would desirable and I think 'URL encoded' is okay. It involves a minor change in removing '-' in some places. Once trunk opens, I shall make those changes in the docs referenced here.
msg102744 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-04-09 19:56
Hello.

I’m not a native speaker, but I know that you need hyphens inside adjectives: URI-encoded, percent-encoded, built-in <0.2 wink>, etc.

I’m willing to produce a patch that changes “URL-encoded” to “percent-encoded”.

Regards
msg113464 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2010-08-09 20:18
Docs updated in r83900 (py3k),  r83903 (release31-maint), r83905 (release27-maint)

Modules updated in revision 83901 (py3k), r83904 (release31-maint), r83906 (release27-maint).
History
Date User Action Args
2010-08-09 20:18:40orsenthilsetstatus: open -> closed
type: enhancement -> behavior
messages: + msg113464

resolution: fixed
stage: needs patch -> resolved
2010-08-09 04:40:04terry.reedysetversions: - Python 3.0
2010-04-09 19:56:30eric.araujosetnosy: + eric.araujo
messages: + msg102744
2010-04-09 18:35:31orsenthilsetassignee: georg.brandl -> orsenthil

messages: + msg102739
nosy: + orsenthil
2010-04-09 00:01:55ajaksu2setpriority: low

type: enhancement
assignee: georg.brandl
components: + Documentation

keywords: + easy
nosy: + ajaksu2, georg.brandl
messages: + msg102654
stage: needs patch
2009-09-27 17:08:58MLModelcreate